EDIT - feature request #7648

Create taxonrelation to genus or species when subordinate names are created
08/13/2018 03:20 PM - Andreas Kohlbecker

Status: Resolved Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 70%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

When creating a species a new Taxon needs to be created for this species and the new taxon needs to be related to the genus via
INCLUDED_IN.

Q1:
According to #61736) [N1T] 2.there should always only be one taxon per name for the higher classification.
Does this also account for genera? In the same ticket we wrote:

The search process primarily aims in finding genera, all species and subspecies which fall under each genus found are to be
displayed independently of the higher classification information associated with the individual names. Practically this will be solved by
creating for each TaxonName an includenin relation to the Taxon for the name used in the uninomialOrGenus and in the
specificEpithet field.

Ranks like e.g. variety and subgenus can not be associated automatically, so their relation to the genus or species respectively must
be created manually if this information is available or if it is required in a specific case. It also should be considered to associate e.g.
species to the according subgenera.

The relation needs to be updated or deleted when

® a higher ranked name part is changed

Related issues:

Related to PhycoBank - task #6173: Concept for a useful algae registry taxon ... Closed

Related to EDIT - bug #7858: names used in the TaxonGraph can not be deleted ... New

Related to EDIT - task #7862: Improve documentation on TaxonGraphHibernateLis... Closed

Related to EDIT - bug #8064: NPE in AbstractHibernateTaxonGraphProcessor.assu... Closed

Related to EDIT - bug #9912: java.lang.ClassCastException: [Ljava.lang.String... New

Related to EDIT - bug #9223: make changes of nomenclatural references detecta... Resolved

Related to EDIT - task #10067: Update to hibernate 5.4 (or higher) and hibern... Closed 05/23/2022 06/01/2022
Copied to EDIT - feature request #7861: TaxonGraphHibernateListener: inject t... In Progress

Associated revisions

Revision 6d636¢9e - 09/26/2018 12:17 PM - Andreas Kohlbecker

ref #7648 generalizing bean instantiation in cdm presenters

Revision 4e19a89d - 09/26/2018 01:38 PM - Andreas Kohlbecker

ref #7648 using CdmEntityInstantiator to disentangle the handling the creation of new taxon names for registrations

Revision a8ef58b2 - 09/28/2018 01:24 PM - Andreas Kohlbecker

ref #7648 initial implementation of TaxonGraphService with tests and TaxonGraphObserver

Revision e9cad40c5 - 10/01/2018 11:00 AM - Andreas Kohlbecker

ref #7648 TaxonGraphService complete with full set of tests

Revision e15e805c¢ - 10/01/2018 03:23 PM - Andreas Kohlbecker
ref #7648 TaxonGraphService as dao and TaxonGraphObserver as TaxonGraphHibernateListener

Revision 005f3c40 - 10/02/2018 12:01 PM - Andreas Kohlbecker

ref #7648 all TaxonGraph updating done in a BeforeTransactionCompletionProcess implementation - TaxonGraphHibernateListener is working now

Revision 6b3c858a - 10/02/2018 03:12 PM - Andreas Kohlbecker

ref #7648 cleaning up and attempting to fix TaxonGraphService test setup

Revision 335d7¢c23 - 10/02/2018 06:16 PM - Andreas Kohlbecker

ref #7648 introducing CdmPreferenceLookup for cached access to the CdmProperty with predicate 'TaxonGraphSecRefUuid' and others

e using this Preference in TaxonGraphDaoHibernatelmpl and TaxonGraphBeforeTransactionCompleteProcess
e adapting tests accordingly

e deprecating secRefUUID setters

¢ cleaning up

Revision 38588c66 - 10/02/2018 06:42 PM - Andreas Kohlbecker

ref #7648 correct handling existing taxa without secReference

Revision 97312e07 - 10/02/2018 06:48 PM - Andreas Kohlbecker

ref #7648 registering TaxonGraphHibernateListener for RefistrationUl

Revision 196¢665f - 10/04/2018 04:54 PM - Andreas Kohlbecker

ref #7648 fixing inconsistency in test data and improving logging

Revision 5e4cc7ea - 10/04/2018 07:05 PM - Andreas Kohlbecker

ref #7648 solving session corruption problems in test suite for TaxonGraphHibernateListenerTest

Revision 15d2f2bf - 10/04/2018 08:21 PM - Andreas Kohlbecker

ref #7648 allowing to set the TaxonGraphHibernateListener inactive - only for test environments

Revision 9a2d0b71 - 10/04/2018 08:21 PM - Andreas Kohlbecker

ref #7648 allowing to set the TaxonGraphHibernateListener inactive - only for test environments

Revision 75338ad3 - 10/04/2018 09:09 PM - Andreas Kohlbecker

ref #7648 common base class AbstractHibernateTaxonGraphProcessor to deduplicate TaxonGraph methods

Revision 81c01935 - 10/04/2018 09:44 PM - Andreas Kohlbecker

ref #7648 more pulling up into AbstractHibernateTaxonGraphProcessor

Revision 397b3cd7 - 10/05/2018 02:48 PM - Andreas Kohlbecker

ref #7648 startup option for registrations to create missing taxon graph edges

Revision 4c5284df - 10/05/2018 02:55 PM - Andreas Kohlbecker

ref #7648 moving taxongraph methods from taxonDao to taxonGraphDao

Revision 19628819 - 10/05/2018 03:58 PM - Andreas Kohlbecker
ref #7648 fixing problems in TaxonGraphTest

Revision 11ab88e8 - 10/05/2018 06:34 PM - Andreas Kohlbecker

ref #7648 automatic management of lower ranked names in the taxon graph

Revision f7df0b93 - 10/10/2018 05:51 PM - Andreas Kohlbecker

ref #7648 TaxonGraphHibernateListener as Spring bean configured via the CdmHibernateListenerConfiguration

Revision 48e27¢57 - 10/10/2018 06:02 PM - Andreas Kohlbecker

ref #7648 moving TaxonGraphHibernateListener and related classes into cdmlib-service

04/10/2024 2/8



Revision 528¢c666 - 10/11/2018 09:07 AM - Andreas Kohlbecker

ref #7648 free configurable TaxonGraphHibernateListener ready

Revision 6ec42fab - 10/12/2018 01:44 PM - Andreas Kohlbecker
ref #7648 adapting CdmVaadinConfiguration to changes in the TaxonGraphHibernateListener

Revision 6623206¢ - 10/12/2018 04:57 PM - Andreas Kohlbecker

ref #7709 adding missing @CdmHibernateListener config annotation to allow activating the TaxonGraphHibernateListener bean

Revision ee7aab02 - 10/12/2018 05:38 PM - Andreas Kohlbecker

ref #7709 fixing missing runAsAuthenticator for RunAsAdmin, TaxonGraphHibernateListener and test

Revision c621e94f - 10/12/2018 05:52 PM - Andreas Kohlbecker

ref #7648 using runAsAuthenticator for RunAsAdmin to configure TaxonGraphHibernateListener for vaadin

Revision 644bd633 - 10/12/2018 06:12 PM - Andreas Kohlbecker

ref #7648 adding links to the ticket as preliminary rudimentary documentation

Revision 886e3f27 - 10/12/2018 06:35 PM - Andreas Kohlbecker

ref #7648 avoiding NPE during equality check in TaxonGraphBeforeTransactionCompleteProcess

Revision 388fc07c - 10/17/2018 12:39 PM - Andreas Kohlbecker

ref #7648 fixing bugs related to single taxa per graph and updating rels from lower ranks, with testcase

Revision f08b6366 - 02/05/2019 03:02 PM - Andreas Kohlbecker

ref #8064 ref #7648 autocreation of missing default secRef value in cdm preference model.taxonGraph.secRefUuid/

History

#1 - 08/13/2018 03:28 PM - Andreas Kohlbecker
- Description updated

#2 - 08/13/2018 03:28 PM - Andreas Kohlbecker

- Related to task #6173: Concept for a useful algae registry taxon classification added
#3 - 08/14/2018 04:38 PM - Andreas Miiller
Andreas Kohlbecker wrote:

When creating a species a new Taxon needs to be created for this species and the new taxon needs to be related to the genus via
INCLUDED_IN.

Qi:
According to #61736) [N1T] 2.there should always only be one taxon per name for the higher classification.

The final decision on N1T was to create multiple taxa for higher rank taxon names, 1 taxon per classification. This will also hold for taxa of rank
genus. Therefore we need to create multiple INCLUDED _IN relationships depending on the number of taxa we have.

#4 - 08/14/2018 04:41 PM - Andreas Miiller

Also after import of new higher classifications we need to attache subgeneric taxa to their according taxa in bulk.

So maybe we should implement an algorithm that creates these relationships for all relevant data additionally to the algorithm which attaches a single
new taxon to its parents.

#5 - 09/11/2018 05:05 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#6 - 09/12/2018 11:54 AM - Andreas Kohlbecker

Andreas Muller wrote:
Andreas Kohlbecker wrote:

When creating a species a new Taxon needs to be created for this species and the new taxon needs to be related to the genus via
INCLUDED_IN.

Qt:

According to #61736) [N1T] 2.there should always only be one taxon per name for the higher classification.

The final decision on N1T was to create multiple taxa for higher rank taxon names, 1 taxon per classification. This will also hold for taxa of rank
genus. Therefore we need to create multiple INCLUDED_IN relationships depending on the number of taxa we have.

this is a misinterpretation of the N1T schema!

#7 - 09/25/2018 02:13 PM - Andreas Kohlbecker

- Description updated

- Priority changed from New to Highest

#8 - 10/02/2018 06:20 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- % Done changed from 0 to 50

please review 335d7c23

especially

e PreferencePredicate.TaxonGraphSecRefUuid predicate ok?
e CdmPreferenceLookup where to move this to?

#9 - 10/04/2018 05:44 PM - Andreas Kohlbecker

There is a problem when running the test in the maven test suite. The TaxonGraphHibernateListenerTest fails when it is run after specific
combinations of other tests:

AnnotationDaoTest, CdmEntityDaoBaseTest, TaxonGraphHibernateListenerTest ==> FAILS
CdmEntityDaoBaseTest, AnnotationDaoTest, TaxonGraphHibernatelListenerTest ==> FAILS
AnnotationDaoTest, TaxonGraphHibernateListenerTest ==> OK

CdmEntityDaoBaseTest, TaxonGraphHibernateListenerTest ==> OK

The problem caused by the test combination is:

org.hibernate.SessionException: Session is closed!

at org.
at org.
at org.
:143)

.springframework.transaction.support.TransactionSynchronizationUtils.invokeAfterCompletion (Trans

onization. java
at org

hibernate.internal.AbstractSessionImpl.errorIfClosed (AbstractSessionImpl. java:132)
hibernate.internal.SessionImpl.clear (SessionImpl. java:384)
springframework.orm.hibernate5.SpringSessionSynchronization.afterCompletion (SpringSessionSynchr

actionSynchronizationUtils. java:168)

at org.

springframework.transaction.support.AbstractPlatformTransactionManager.invokeAfterCompletion (Ab

stractPlatformTransactionManager. java:1001)

at org.

springframework.transaction.support.AbstractPlatformTransactionManager.triggerAfterCompletion (A

bstractPlatformTransactionManager. java:976)

at org.

springframework.transaction.support.AbstractPlatformTransactionManager.processRollback (Abstract

PlatformTransactionManager. java:880)

at org.

springframework.transaction.support.AbstractPlatformTransactionManager.rollback (AbstractPlatfor

mTransactionManager. java:830)

at eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest.endTransaction (CdmTransactionalln
tegrationTest.java:306)
at eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest.onTearDown (CdmTransactionallIntegr

ationTest. java:

232)

#10 - 10/04/2018 09:53 PM - Andreas Kohlbecker

"Session is closed!"-problem is solved now.

#11 - 10/05/2018 06:34 PM - Andreas Kohlbecker
- % Done changed from 50 to 70

04/10/2024

4/8


https://dev.e-taxonomy.eu/redmine/issues/6173
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/335d7c23d5a20d543ed62fbb395bc5cbbe529dcc

implementation complete!

#12 - 10/10/2018 01:49 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

The taxon graph management processes are currently run in with the current authentication, this causes problems if a user has no grants to create or
modify taxa as demonstrated by the below stacktrace snippet:

Caused by: eu.etaxonomy.cdm.database.PermissionDeniedException: [CREATE] not permitted for 'andreas' on Taxon]|
uuid:2abdadac-6725-493b-9ccc-70b071£f773ce', toString:'Achnanthes kohlii Koh, AK & Pakla, MP sec. PhycoBank']

at eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernatelInterceptor.checkPermissions (CdmSecurityHibe
rnatelnterceptor. java:207)

at eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernateInterceptor.onSave (CdmSecurityHibernateInter
ceptor.java:106)

at org.hibernate.event.internal.AbstractSaveEventListener.substituteValuesIfNecessary (AbstractSaveEventLis
tener. java:388)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSaveEventListener
.Java:254)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListener.java:178)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEventListener. ja
va:121)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedId (DefaultSav
eOrUpdateEventListener. java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSaveOrUpdateEven
tListener. java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSaveOrUpdateEv
entListener.java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrUpdateEventLi
stener.java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:635)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.AbstractHibernateTaxonGraphProcessor.assureSingle
Taxon (AbstractHibernateTaxonGraphProcessor. java:215)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.TaxonGraphBeforeTransactionCompleteProcess.onName
OrRankChange (TaxonGraphBeforeTransactionCompleteProcess.java:157)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.TaxonGraphBeforeTransactionCompleteProcess.onNewT
axonName (TaxonGraphBeforeTransactionCompleteProcess. java:153)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxonGraph.TaxonGraphBeforeTransactionCompleteProcess.doBefo
reTransactionCompletion (TaxonGraphBeforeTransactionCompleteProcess. java:80)

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransactionCompletio
n (ActionQueue. java:899)

at org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion (ActionQueue. java:481)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2340)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoordinatorImpl.
java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImpl.be
foreCompletionCallback (JdbcResourceLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordinatorImpl.ac
cess$100 (JdbcResourcelocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImplS$Tr
ansactionDriverControlImpl.commit (JdbcResourcelocalTransactionCoordinatorImpl. java:231)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactionManager. jav
a:581)

106 more

The operations in the TaxonGraphBeforeTransactionCompleteProcess which modify the persisted data must be run as admin, see
RunAsAuthenticator

#13 - 10/10/2018 01:58 PM - Andreas Kohlbecker

- Status changed from In Progress to Feedback

The RunAsAuthenticator is in cdmlib-service and TaxonGraphBeforeTransactionCompleteProcess in cdmlib-persistence.
We need to move on of these classes into the other project. Move TaxonGraphBeforeTransactionCompleteProcess, TaxonGraphHibernateListener
into cdmlib-service or rater move a authentication related class into the persistence. | think the first option is more logical.

#14 - 10/11/2018 03:10 PM - Andreas Kohlbecker

After moving the TaxonGraphHibernateListenerTest into cdmlib-services we are again facing problems with test being not independent.
Running

mvn -Dtest=eu.etaxonomy.cdm.api.service.dto.TaxonRelationshipsDTOTest,eu.etaxonomy.cdm.api.service.taxonGraph
.TaxonGraphHibernatelListenerTest test

causes all tests in TaxonGraphHibernateListenerTest to fail due to polluted Session.

Tests in error:
testChangeSpecificEpithet_of_InfraSpecific(eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernateListen

erTest): object references an unsaved transient instance - save the transient instance before flushing: eu.eta
xonomy .cdm.model.taxon.TaxonRelationshipType

testChangeNomRef (eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernatelListenerTest): object references
an unsaved transient instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.Tax
onRelationshipType

testChangeSpecificEpithet_of_Species (eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernateListenerTest
) : object references an unsaved transient instance - save the transient instance before flushing: eu.etaxonomy
.cdm.model.taxon.TaxonRelationshipType

testChangeRank (eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernateListenerTest): object references a
n unsaved transient instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.Taxon
RelationshipType

testNewTaxonName (eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernatelListenerTest): object references
an unsaved transient instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.Tax
onRelationshipType

testChangeGenus (eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernateListenerTest): object references
an unsaved transient instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.Taxo
nRelationshipType

testNewGenusName (eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernatelListenerTest): object references
an unsaved transient instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.Tax
onRelationshipType

When running all test which precedeTaxonGraphHibernateListenerTest in the suite

mvn -Dtest=eu.etaxonomy.cdm.api.service.SecurityTest,eu.etaxonomy.cdm.api.service.StatisticsServiceImplTest,eu
.etaxonomy.cdm.api.service.TaxonNodeDtoByNameComparatorTest,eu.etaxonomy.cdm.api.service.TaxonNodeServiceImplT
est,eu.etaxonomy.cdm.api.service.TaxonServiceImplBusinessTest, eu.etaxonomy.cdm.api.service.TaxonServiceImplTes
t,eu.etaxonomy.cdm.api.service.TaxonServiceSearchTaxaAndNamesTest, eu.etaxonomy.cdm.api.service.TaxonServiceSea
rchTest, eu.etaxonomy.cdm.api.service.TermServiceImplTest,eu.etaxonomy.cdm.api.service.TransmissionEngineDistri
butionTest,eu.etaxonomy.cdm.api.service.TreeIndexComparatorTest, eu.etaxonomy.cdm.api.service.TypeDesignationSe
tManagerTest,eu.etaxonomy.cdm.api.service.UserAndGroupServiceImplTest,eu.etaxonomy.cdm.api.service.VocabularySs
erviceImplTest,eu.etaxonomy.cdm.api.service.dto.TaxonRelationshipsDTOTest, eu.etaxonomy.cdm.api.service.idminte
r.RegistrationIdentifierMinterTest,eu.etaxonomy.cdm.api.service.lsid.LSIDAuthorityServiceTest,eu.etaxonomy.cdm
.api.service.lsid.LSIDDataServiceTest,eu.etaxonomy.cdm.api.service.lsid.LSIDMetadataServiceTest, eu.etaxonomy.c
dm.api.service.lsid.LSIDRegistryTest,eu.etaxonomy.cdm.api.service.molecular.AmplificationServiceTest,eu.etaxon
omy.cdm.api.service.molecular.PrimerServiceTest,eu.etaxonomy.cdm.api.service.molecular.SequenceServiceTest,eu.
etaxonomy.cdm.api.service.pager.PagerTest, eu.etaxonomy.cdm.api.service.search.LuceneIndexToolProviderTest,eu.e
taxonomy.cdm.api.service.search.QueryFactoryTest, eu.etaxonomy.cdm.api.service.taxonGraph.TaxonGraphHibernateli
stenerTest test

only testNewGenusName() fails
This is just like playing lotto!

#15 - 10/11/2018 04:08 PM - Andreas Kohlbecker

Since this is not a problem with the TaxonGraphHibernateListenerTest | am creating a new issue: #7818

#16 - 10/11/2018 06:39 PM - Andreas Kohlbecker

The problem described in #7818 was not the actual cause for the test failing in the full suite, another candidate is the RegistrationldentifierMinterTest:

mvn -Dtest=eu.etaxonomy.cdm.api.service.idminter.RegistrationIdentifierMinterTest,eu.etaxonomy.cdm.api.service
.taxonGraph.TaxonGraphHibernateListenerTest test

#17 - 10/12/2018 06:10 PM - Andreas Kohlbecker
now the expected functionality | implemented, but we could think about refactoring the TaxonGraphHibernateListener a bit:
Andreas Milller suggested to inject the ITaxonGraphDao into TaxonGraphBeforeTransactionCompleteProcess which could be done by passing it as

cunstrucor parameter of the TaxonGraphBeforeTransactionCompleteProcess. Here some example code snippets of a spring configuration class
setting up the TaxonGraphHibernateListener:

@Configuration

@CdmHibernateListener // enable the configuration which activates the TaxonGraphHibernateListener bean
public class MyConfiguration {

04/10/2024 6/8


https://dev.e-taxonomy.eu/redmine/issues/7818
https://dev.e-taxonomy.eu/redmine/issues/7818

QAutowired
@Qualifier ("runAsAuthenticationProvider")
private AuthenticationProvider runAsAuthenticationProvider;

@Autowired
private ITaxonGraphHibernateListener taxonGraphHibernatelListener;
QAutowired
private ITaxonGraphDao taxonGraphDao;
@Bean
public MyBean myBean () {
taxonGraphHibernatelListener.registerProcessClass (
TaxonGraphBeforeTransactionCompleteProcess.class,
new Object[] {new RunAsAdmin (runAsAuthenticationProvider), taxonGraphDao},
new Class[]{IRunAs.class, ITaxonGraphDao.class});
}
The constructor of the TaxonGraphBeforeTransactionCompleteProcess would need to be adapted for this to work.
The main benefit of this excercise is that we could get rid of the AbstractHibernateTaxonGraphProcessor which currently is the common base class
for the dao and the TaxonGraphBeforeTransactionCompleteProcess.
And also some documentation which goes beyond linking this ticket would be nice.
#18 - 10/23/2018 04:01 PM - Andreas Miiller
- Assignee changed from Andreas Miller to Andreas Kohlbecker
Can we create a new ticket for the remaining issues and close this one?
Does this ticket need further review from my side? | think functionality testing can and will be done by phycobank anyway.

#19 - 10/24/2018 03:01 PM - Andreas Kohlbecker

- Related to bug #7858: names used in the TaxonGraph can not be deleted if the user has no DELETE permission on Taxon added

#20 - 10/24/2018 03:03 PM - Andreas Kohlbecker

- Copied to feature request #7861: TaxonGraphHibernateListener: inject the ITaxonGraphDao into TaxonGraphBefore TransactionCompleteProcess
added

#21 - 10/24/2018 03:06 PM - Andreas Kohlbecker

- Related to task #7862: Improve documentation on TaxonGraphHibernateListener and related classes added

#22 - 10/24/2018 03:10 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miller

ok, all open tasks are copied to new issues: #7862, #7861

the reason why | passed this to you is written in comment 8 which is meanwhile hard to find in the long thread, here is it again:
please review 335d7c23
especially

* PreferencePredicate. TaxonGraphSecRefUuid predicate ok?
e CdmPreferenceLookup where to move this to? (Note by AM: this is called CdmPreferenceCache now, 2022-5)

#23 - 10/24/2018 05:38 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#24 - 02/05/2019 01:35 PM - Andreas Kohlbecker

- Related to bug #8064: NPE in AbstractHibernate TaxonGraphProcessor.assureSingleTaxon() on saving new name for new registration with new
genus added
#25 - 01/10/2022 02:09 PM - Andreas Miiller

- Related to bug #9912: java.lang.ClassCastException: [Ljava.lang.String; cannot be cast to java.lang.String in
TaxonGraphBeforeTransactionCompleteProcess L229 added

#26 - 01/10/2022 02:10 PM - Andreas Miiller

- Related to bug #9223: make changes of nomenclatural references detectable again in TaxonGraphBefore TransactionCompleteProcess added

#27 - 05/25/2022 10:23 AM - Andreas Miiller

Andreas Kohlbecker wrote in #note-10:

"Session is closed!"-problem is solved now.
This fix was only a workaround and the problem showed up after migration to hibernate 5.2 again. | fixed it now removing pure static handling of
CdmPreferencelLookup (now ...Cache) and replacing it by a Lookup per dao. The problem is that in the test suite there are multiple application

contexts created (the ordinary one and the one with authentication used by CdmEntityDaolmpl) therefore a pure static approach mixes sessions
between these 2 app contexts (commit 8c6b6172722d)

#28 - 05/25/2022 10:54 AM - Andreas Miiller
- Related to task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#29 - 06/16/2022 09:51 PM - Andreas Miiller
- Related to bug #10075: Fix deserialization exception for bytebuddy base hibernate SerializableProxy added

#30 - 06/16/2022 09:51 PM - Andreas Miiller
- Related to deleted (bug #10075: Fix deserialization exception for bytebuddy base hibernate SerializableProxy)
